

{% if form.preview and form.edit_mode %}
  {% set structure = form.preview.structure %}
{% else %}
  {% set structure = form.structure %}
{% endif %}

<div id="fb-render"></div>

<script>
var allowed_extensions = "{{ ', '.join(g.site.mimetypes['extensions']).upper() }}";
jQuery(function($) {
    var fbRender = document.getElementById('fb-render');
    var formRenderOpts = {
        formData: {{ structure | tojson }},
        dataType: 'json',
        i18n: {
            locale: "{{ iso_lang_code }}",
            location: "/static/vendor/formBuilder/i18n",
        },
        layoutTemplates: {
          help: function(helpText) {
            return $('<span/>')
              .addClass('form-field-description')
              .append(helpText);
          },
          label: function(label, data) {
            return $('<label/>')
              .attr('for', data.id)
              .append(label);
          }
        },
        notify: {
            success: function(message) {
                {% if previous_answer %}
                loadFormWithAnswers()
                {% endif %}
                postFormRender();
                return;
            }
        }
    };
    $(fbRender).formRender(formRenderOpts);
});
{% if previous_answer %}
{% include 'form/js/edit-previous-answer.js' %}
{% endif %}

{% include 'form/js/post-render-scripts.js' %}

</script>
